Elly API
  1. Bank Accounts
Elly API
  • API Keys
    • Get current API key details
      GET
    • Get current API key usage statistics
      GET
    • List all API keys
      GET
    • Create a new API key
      POST
    • Revoke an API key
      DELETE
  • Transactions
    • List transactions
      GET
    • Create transaction
      POST
    • Get transaction details
      GET
    • Update transaction
      PATCH
    • Delete transaction
      DELETE
    • Bulk update transactions
      POST
  • Bank Accounts
    • List bank accounts
      GET
    • Create bank account
      POST
    • Get bank account details
      GET
    • Update bank account
      PATCH
    • Delete bank account
      DELETE
    • Get bank account transactions
      GET
  • Statements
    • List bank statements
      GET
    • Upload bank statement file
      POST
    • Get statement details
      GET
    • Get statement transactions
      GET
  • Categories
    • List categories
      GET
  • Reports
    • Cash flow report
      GET
    • Financial summary report
      GET
  • Companies
    • Get company details
  • Schemas
    • TransactionStatus
    • AccountingCategory
    • CashFlowCategory
    • AccountType
    • AccountStatus
    • StatementStatus
    • ApiScope
    • ApiKey
    • Transaction
    • TransactionListResponse
    • TransactionResponse
    • TransactionDetailResponse
    • CreateTransactionRequest
    • UpdateTransactionRequest
    • BulkUpdateRequest
    • BankAccount
    • BankAccountListResponse
    • CreateBankAccountRequest
    • UpdateBankAccountRequest
    • CreateStatementRequest
    • CreateStatementUpload
    • Pagination
    • Error
  1. Bank Accounts

Update bank account

PATCH
/api-v1/bank-accounts/{accountId}
Bank Accounts

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢200
Bank account updated
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://gvazyknvkqdeuzmrnuwu.supabase.co/functions/v1/api-v1/bank-accounts/' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "account_name": "Main Operating Account",
    "current_balance": 130000,
    "is_primary": true
}'
Modified at 2025-12-30 00:32:01
Previous
Get bank account details
Next
Delete bank account
Built with